<?php

    # load FlexPay library
    require_once ROOTDIR . '/modules/gateways/verotelflexpay/FlexPay.php';

    function verotelflexpay_config() {
        $configarray = array(
         "FriendlyName" => array("Type" => "System", "Value"=>"Verotel FlexPay"),
         "flexpay_shop_id" => array("FriendlyName" => "FlexPay shop ID", "Type" => "text", "Size" => "20", ),
         "flexpay_secret" => array("FriendlyName" => "FlexPay secret", "Type" => "text", "Size" => "40", ),

        );
        return $configarray;
    }

    function verotelflexpay_link($params) {
        $flexpay_url = FlexPay::get_purchase_URL(
            $params['flexpay_secret'],
            array(
                'shopID' => $params['flexpay_shop_id'],
                'priceAmount' => $params['amount'],
                'priceCurrency' => $params['currency'],
                'referenceID' => $params['invoiceid'],
                'description' => $params["description"],
                'email' => $params['clientdetails']['email'],
                'origin' => 'WHMCS',
            )
        );

        return '
            <form action="'.$flexpay_url.'" method="POST">
                <input type="submit" value="' . $params["langpaynow"] . '" />
            </form>';
    }

?>
